/*
 * hdef.h
 *
 *  Created on: 25.04.2010
 *      Author: weisserd
 */

#ifndef HDEF_H_
#define HDEF_H_

// hardware definitions for project webio
// DEW 04.09.2009
// CPU ATMEGA64A
/**
 @defgroup device Device Lib
 @code #include <device.h> @endcode

 @brief Basic routines for io interface
 @author WED 04092009


 */

/*@{*/



#define XTAL 11059200                        /**<  XTAL Frequnecy */

// PortA definitions
#define PORTADDR 0x00
#define PORTADEF 0x00

// PortB definitions
#define PORTBDDR 0xb0
#define PORTBDEF 0xff


#define PORT_TESTPIN PORTC
#define TESTPIN 0x80
#define PORT_CS_HF PORTB
#define CS_HF 0x10
#define PIN_NIRQ PINB
#define NIRQ 0x01
#define PORT_MISO PORTB
#define MISO 0x40
#define PORT_MOSI PORTB
#define MOSI 0x20
#define PORT_SCK PORTB
#define SCK 0x80




#endif /* HDEF_H_ */
