#include <avr/io.h>
#include <avr/wdt.h>
#include "uart.h"
#include "lon.h"
#include "rfm_config.h"
#include "hdef.h"
#include "device.h"
#include "rfm.h"



uint8_t key;
//---------------------------------------------------------------------
//
//---------------------------------------------------------------------

//---------------------------------------------------------------------
//
//---------------------------------------------------------------------

void init(void)
{



      DDRD =0x06;
      PORTD =0xff;
      DDRB=0xb0;
      PORTB=0xb0;
      DDRA=0xff;
      PORTA=0xff;
     // Definition for Lon reception



      TCCR0=(1<<CS01)|(1<<WGM01);  // Teiler /8
      MCUCR=0x01|(1<<ISC10);
      GICR=(1<<INT1);
      SREG=0x80;
      cmd_cnt=0;
      msg_cnt = -1;
      bit_cnt = 0;
      buffer_cnt = 255;
      buffer_offset = 0;


}


void press_key(void)
{

      DDRA=0xff;
      key++;
      if(key>=5)key=0;

      PORTA=0xfe;
      delay_ms(10);
      PORTA=0xff;
      delay_ms(100);
      if(key==0x00)PORTA=~0x01;
      if(key==0x01)PORTA=~0x02;
      if(key==0x02)PORTA=~0x04;
      if(key==0x03)PORTA=~0x08;
      if(key==0x04)PORTA=~0x08;
      delay_ms(10);
      PORTA=0xff;
}

//---------------------------------------------------------------------
//
//---------------------------------------------------------------------

int main()
{

uint16_t i,j;



  init();
  RFM_init();
  InitUART();
  eth_message.cmd=0x41;
  eth_message.data=0x40;
  eth_message.adr=0x0251;
  eth_message.len=9;

  code_message(eth_message,500);
  RFM_SPI_16(RFM_RX_ON());
  j=0;
  islon=0;


  write_string("------- HF MONITOR --------------\n");
  do{
      if(msg_cnt==9){										// msg buffer full??
           	  GICR=0;									// disable IRQ
           	  write_hex(msg_cnt);
           	  write_string(": messages in buffer");
              for(i=0;i<=msg_cnt*10;i++){
            	  write_hex(buf[i]);
                  j=j+1;
                  if(j>=10){
                      write_nl();
                      j=0;
				  };
			 };
             write_string("------------------------------");
             msg_cnt=-1;								// set variables to defaults
             buffer_cnt = 255;
             buffer_offset = 0;
             islon=0;
             j=0;// clear reception flag
             GICR=(1<<INT1);							// enable IRQ
      }

  }while(1==1);

}


